Allow MN to bias resolve to the authoritative MN
Description

In the MN workshop (IDCC, Feb 2014) and in a MN forum discussion, several MN's asked if the resolve could be biased so that the

authoritative MN was the somehow biased, so that users would be more likely to retrieve the data from the authoritative MN.  A

suggestion that met with a very positive response was to ensure that CN.resolve() returns the authoritative MN as the first item in the

list.  My understanding is that the order in the CN.resolve() results is indeterminate.  

History

#1 - 2014-03-31 17:24 - Matthew Jones

Although it is currently indeterminate, we have plans to use the ordering as a mechanism to help with load-balancing.  We had originally discussed

using an algorithm that considers which nodes are up as well as available network connectivity and server load to order the resolve() list.  So, I

wouldn't want to necessarily commit to always listing the authoritative MN first given these plans.

#2 - 2018-01-17 20:00 - Dave Vieglais

- Assignee set to Rob Nahf

#3 - 2018-01-17 20:00 - Dave Vieglais

- Sprint set to CCI-2.3.8

Powered by TCPDF (www.tcpdf.org)

2024-03-20 1/1

http://www.tcpdf.org

